import type { IAsyncServiceImplementationLoader } from "../interfaces/IAsyncServiceImplementationLoader.js";
import type { ISyncServiceImplementation } from "../interfaces/ISyncServiceImplementation.js";
export declare class AsyncServiceImplementationLoader<T> implements IAsyncServiceImplementationLoader<T> {
    private loader;
    get name(): string;
    private implementation;
    private promise;
    constructor(loader: () => Promise<ISyncServiceImplementation<T>>);
    isLoaded(): boolean;
    getImplementation(): ISyncServiceImplementation<T>;
    load(): Promise<ISyncServiceImplementation<T>>;
}
//# sourceMappingURL=AsyncServiceImplementationLoader.d.ts.map