import type { IServiceDescriptor } from "../interfaces/IServiceDescriptor.js";
import type { IServiceInstanceInfo } from "../interfaces/IServiceInstanceInfo.js";
import type { IServiceInstancesStore } from "../interfaces/IServiceInstancesStore.js";
export declare class ServiceInstancesStore implements IServiceInstancesStore {
    private readonly instances;
    constructor();
    [Symbol.iterator](): Iterator<IServiceInstanceInfo<any>, any, undefined>;
    hasInstanceOf<T>(descriptor: IServiceDescriptor<T>): boolean;
    getInstanceInfo<T>(descriptor: IServiceDescriptor<T>): IServiceInstanceInfo<T> | undefined;
    addInstance<T>(descriptor: IServiceDescriptor<T>, requestedBy?: IServiceDescriptor<any>): IServiceInstanceInfo<T>;
    [Symbol.dispose](): void;
    [Symbol.asyncDispose](): Promise<void>;
    private addDependent;
}
//# sourceMappingURL=ServiceInstancesStore.d.ts.map