import type { IServiceMetadata } from "../interfaces/IServiceMetadata.js";
import type { MapToServicesType } from "../interfaces/MapToServicesType.js";
import type { ServiceType } from "../interfaces/ServiceType.js";
export declare class ServiceRegistry {
    private static readonly services;
    static register<TClass extends abstract new (...args: MapToServicesType<TServices>) => any, TServices extends ServiceType<any>[] = []>(service: TClass, metadata: IServiceMetadata<TServices>): void;
    static has(service: any): boolean;
    static get(service: any): IServiceMetadata | undefined;
}
//# sourceMappingURL=ServiceRegistry.d.ts.map